Tracking Event
This endpoint is called when Augie obtains a tracking event. Clients should implement this endpoint to receive updates.
Body
required
application/json
- Type: string
load Number requiredThe unique identifier for the load
- Type: object · TrackingEvent
tracking Event required - Type: string
brokerage Load Internal Id Internal load ID in the TMS
Responses
200 Load updated successfully
Request Example for post/callback/tracking-event
curl https://api.prod.goaugment.com/callback/tracking-event \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic username:password' \
--data '{
"loadNumber": "",
"brokerageLoadInternalId": "",
"trackingEvent": {
"nextSequence": 1,
"nextEtaUtc": null,
"eventType": "DELAYED",
"eventSource": "4KITES",
"eventUtc": null,
"city": "",
"stateOrProvince": "",
"latitude": 1,
"longitude": 1,
"temperatureF": 1,
"notes": ""
}
}'
No Body

